Subject: Re: [IPFIX] multicast flow

From: Nishida Haruhiko <[email-masked]>
Date: Tue, 8 Jan 2008 11:35:47 +0900

Atsushi,

Comment on section 2.2. 

As described in draft-kobayashi-ipfix-large-ps-00.txt, large ISPs usually use sampled netflow. In this case, RFC3917's architecture to inform list of (egress) interfaces may not work properly. As you described in 2.2, an egress interface may be one of observation points, then sampling will be occur independently from both ingress and other egress interfaces. If no packet sampled during "timeout" period, we cannot get topology info.

-- Haru Nishida, NTT

On 2007/11/15, at 1:55, kobayashi atsushi wrote:

>
> Dear all,
>
> I have submited following draft.
>
> http://www.ietf.org/internet-drafts/draft-kobayashi-ipfix-multicast-measure-00.txt
>
> Now, multicast operation confronts several problems. There are not
> enough tools. It is difficult that network operatos monitor the
> multicast service condition. IPFIX/PSAMP must play a role for multicast
> operation.
>
> So, I have searched the past multicast flow discussion in IPFIX and
> already published RFC3917.
>
> RFC3917 say
>
> 5.7.  Multicast Flows
>
>   For multicast flows containing packets replicated to multiple output
>   interfaces, the metering process should be able to maintain discrete
>   flow records per different output interface.  For example, the
>   metering process should be able to report an incoming multicast
>   packet that is replicated to four output interfaces in four different
>   flow records that differ by the output interface.
>
> After reading the past IPFIX-ML archive and IETF54's slide about multicast
> flow, I see that collecting output interface indeses is hard in term of
> several factors, router's architecture and non-fixed format.
> http://www1.ietf.org/mail-archive/web/ipfix/current/msg01042.html
> http://www3.ietf.org/proceedings/02jul/slides/ipfix-1/sld008.htm
>
> But, I think that the above solution is burden on Collector and Exporter. 
> If access router that has thousands of subscribers exports replicated
> Flow Records, it seems to overload up both devices. 
>
> To export output interface indexes, we can consider another solution,
> such as option templates. Once more, let's start discussion about
> multicast flow. 
>
> Best Regards,
> Atsushi KOBAYASHI
>
> --- 
> Atsushi KOBAYASHI  <[email-masked]>
> NTT Information Sharing Platform Lab.
> tel:+81-(0)422-59-3978 fax:+81-(0)422-59-5637
>
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipfix

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix

---

From: Nishida Haruhiko <[email-masked]>
Date: Tue, 8 Jan 2008 11:35:47 +0900

Atsushi,

Comment on section 2.2. 

-- Haru Nishida, NTT

---

From: Kobayashi Atsushi <[email-masked]>
Date: Wed, 16 Jan 2008 00:42:06 +0900

Hi,

I will add following issue in next version draft.

To my regret, I could not get enough comments about multicast flow in last
IPFIX meeting. I think that another method other than RFC3917 is needed
for multicast measurement. 

I would like to know IPFIX member's comments about it.
Any comments welcome.

Best Regards,
Atsushi KOBAYASHI

On Tue, 8 Jan 2008 11:35:47 +0900

---

---

From: Kobayashi Atsushi <[email-masked]>
Date: Wed, 16 Jan 2008 00:42:06 +0900

Hi,

Best Regards,
Atsushi KOBAYASHI

---